commit: ff6ca5fd74b49cbac1b7f925384240025132e5f6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 3 09:57:05 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 4 17:13:35 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff6ca5fd
dev-python/sympy: Restrict ipython to py3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/sympy/sympy-1.0-r1.ebuild | 5 +++--
dev-python/sympy/sympy-1.3.ebuild | 5 +++--
2 files changed, 6 insertions(+), 4 deletions(-)
diff --git a/dev-python/sympy/sympy-1.0-r1.ebuild
b/dev-python/sympy/sympy-1.0-r1.ebuild
index f75311b5dad..719584259fe 100644
--- a/dev-python/sympy/sympy-1.0-r1.ebuild
+++ b/dev-python/sympy/sympy-1.0-r1.ebuild
@@ -17,12 +17,13 @@ KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~ppc-macos
~x64-macos ~x86-macos"
IUSE="doc examples gtk imaging ipython latex mathml opengl pdf png pyglet test
texmacs theano"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+ doc? ( || ( $(python_gen_useflags 'python2*') ) )
+ ipython? ( || ( $(python_gen_useflags -3) ) )"
RDEPEND="dev-python/mpmath[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/pexpect-2.0[${PYTHON_USEDEP}]'
python2_7)
imaging? ( dev-python/pillow[${PYTHON_USEDEP}] )
- ipython? ( dev-python/ipython[${PYTHON_USEDEP}] )
+ ipython? ( $(python_gen_cond_dep 'dev-python/ipython[${PYTHON_USEDEP}]'
-3) )
latex? (
virtual/latex-base
dev-texlive/texlive-fontsextra
diff --git a/dev-python/sympy/sympy-1.3.ebuild
b/dev-python/sympy/sympy-1.3.ebuild
index 963538ab3ac..03a1e064eab 100644
--- a/dev-python/sympy/sympy-1.3.ebuild
+++ b/dev-python/sympy/sympy-1.3.ebuild
@@ -17,7 +17,8 @@ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos
~x64-macos ~x86-macos"
IUSE="doc examples gtk imaging ipython latex mathml opengl pdf png pyglet
symengine test texmacs theano"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+ doc? ( || ( $(python_gen_useflags 'python2*') ) )
+ ipython? ( || ( $(python_gen_useflags -3) ) )"
RESTRICT="test"
# All tests actually pass, except a bunch of tests related to the deprecated
pygletplot
@@ -26,7 +27,7 @@ RESTRICT="test"
RDEPEND="dev-python/mpmath[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
imaging? ( dev-python/pillow[${PYTHON_USEDEP}] )
- ipython? ( dev-python/ipython[${PYTHON_USEDEP}] )
+ ipython? ( $(python_gen_cond_dep 'dev-python/ipython[${PYTHON_USEDEP}]'
-3) )
latex? (
virtual/latex-base
dev-texlive/texlive-fontsextra